Package org.apache.synapse.commons

## Class SynapseCommonsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.synapse.commons.SynapseCommonsException

- All Implemented Interfaces:
    `Serializable`

      public class SynapseCommonsException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseCommonsException​(String string)` |
    `SynapseCommonsException​(String msg, Throwable e)` |
    `SynapseCommonsException​(String msg, Throwable cause, org.apache.commons.logging.Log synLog)` |
    `SynapseCommonsException​(String msg, org.apache.commons.logging.Log synLog)` |
    `SynapseCommonsException​(Throwable t)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseCommonsException

          public SynapseCommonsException​(String string)

    - #### SynapseCommonsException

          public SynapseCommonsException​(String msg,
                                         Throwable e)

    - #### SynapseCommonsException

          public SynapseCommonsException​(Throwable t)

    - #### SynapseCommonsException

          public SynapseCommonsException​(String msg,
                                         org.apache.commons.logging.Log synLog)

    - #### SynapseCommonsException

          public SynapseCommonsException​(String msg,
                                         Throwable cause,
                                         org.apache.commons.logging.Log synLog)